%define foundryname  ctan
%define fontpkg      cm-super
%define fontname     %{foundryname}-%{fontpkg}
%define fontconf     64-%{fontname}
%define ctan_date    20080709
%define texfonts     %{_texmf_main}/fonts
%define texfontpath  public/%{fontpkg}

Name:           ctan-cm-super-fonts
Version:        0.3.4
Release:        3%{?dist}
Summary:        CM-Super Type1 fonts
License:        GPLv2+ with exceptions
Group:          Applications/Publishing
URL:            http://www.ctan.org/tex-archive/fonts/ps-type1/cm-super/
Source0:        cm-super-%{ctan_date}.zip
# upstream source - unversioned zip file
# http://mirror.ctan.org/fonts/ps-type1/cm-super.zip
Source1:        %{fontname}-fontconfig.tar.gz
BuildRequires:  fontpackages-devel, texlive-texmf
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The CM-Super package contains Type1 fonts converted from METAFONT
fonts and covers entire EC/TC, ECC and LH fonts (Computer Modern font
families). All European and Cyrillic writings are covered. Each Type1
font program contains ALL glyphs from the following standard LaTeX
font encodings: T1, TS1, T2A, T2B, T2C, X2, and also Adobe
StandardEncoding (585 glyphs per non-SC font and 468 glyphs per SC
font), and could be reencoded to any of these encodings using standard
dvips or pdftex facilities (the corresponding support files are also
included).

%package common
Summary:  CM-Super Type1 fonts, common files (documentation, ...)
Group:    User Interface/X
Requires: fontpackages-filesystem
%description common
This package contains files used by other ctan-cm-super-fonts packages.

%define romanfonts %{fontname}-roman-fonts
%package -n %{romanfonts}
Summary:  CM-Super Type1 fonts, Computer Modern Roman type faces
Group:    User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{romanfonts}
This package contains the Computer Modern Roman type faces in Type1 format.

%_font_pkg -n roman -f %{fontconf}-roman.conf sfrm* sfsl* sfti* sfcc* sfui* sfsc* sfci* sfbx* sfbl* sfbi* sfxc* sfoc* sfrb* sfbm* sform* sfosl* sfoti*

%define sansfonts %{fontname}-sans-fonts
%package -n %{sansfonts}
Summary:  CM-Super Type1 fonts, Computer Modern Sans Serif type faces
Group:    User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{sansfonts}
This package contains the Computer Modern Sans Serif type faces in Type1 format.

%_font_pkg -n sans -f %{fontconf}-sans.conf sfss* sfsi* sfsx* sfso* sflq* sfli* sflb* sflo* sfsq* sfqi* isflb* isfli* isflo* isflq* sfbs* sfbbx* 

%define typewriterfonts %{fontname}-typewriter-fonts
%package -n %{typewriterfonts}
Summary:  CM-Super Type1 fonts, Computer Modern Sans Serif type faces
Group:    User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{typewriterfonts}
This package contains the Computer Modern Typewriter type faces in Type1 format.

%_font_pkg -n typewriter -f %{fontconf}-typewriter.conf sftt* sfst* sfit* sftc* sfvt* sfvi* sfbt* sfltt* isfltt*

%define miscfonts %{fontname}-misc-fonts
%package -n %{miscfonts}
Summary:  CM-Super Type1 fonts, less common Computer Modern type faces
Group:    User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{miscfonts}
This package the following Computer Modern type faces in Type1 format:
Computer Modern Dunhill
Computer Modern Fibonacci
Computer Modern Funny

%_font_pkg -n misc -f %{fontconf}-misc.conf sfdh* sffb* sffs* sfff* sffi*

%define texfontpkg tex-cm-super
%package -n %{texfontpkg}
Summary:  CM-Super Type1 fonts, TeX support files
Group:    User Interface/X
Requires: %{romanfonts} = %{version}-%{release} , %{sansfonts} = %{version}-%{release}, %{typewriterfonts} = %{version}-%{release}, %{miscfonts} = %{version}-%{release}
Requires: tex(latex), dvipdfm
%description -n %{texfontpkg}
TeX support files for CM-Super Type1 fonts.

%prep
%setup -q -a1 -n cm-super

%build
cd afm
for afm in *.afm.gz ; do
  gunzip $afm
done

%install
rm -rf %{buildroot}

# Following INSTALL:
# steps 1, 2

mkdir -p %{buildroot}%{texfonts}/{afm,type1}/%{texfontpath}

#install .pfb and .afm files in _fontdir as per the fedora font guidelines
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p pfb/* %{buildroot}%{_fontdir}
install -m 0644 -p afm/* %{buildroot}%{_fontdir}

pushd %{buildroot}%{_fontdir}
for pfb_file in *.pfb ;  do
    ln -s %{_fontdir}/$pfb_file %{buildroot}%{texfonts}/type1/%{texfontpath}/$pfb_file
done
for afm_file in *.afm ;  do
    ln -s %{_fontdir}/$afm_file %{buildroot}%{texfonts}/afm/%{texfontpath}/$afm_file
done
popd

# step 3.1, *.map and *.enc
mkdir -p %{buildroot}%{texfonts}/{enc,map}/dvips/%{fontpkg}
install -m 644 -p dvips/*.enc %{buildroot}%{texfonts}/enc/dvips/%{fontpkg}/
install -m 644 -p dvips/*.map %{buildroot}%{texfonts}/map/dvips/%{fontpkg}/

# step 3.1, config.cm-super
mkdir -p %{buildroot}%{_texmf_main}/dvips/%{fontpkg}
install -m 644 -p dvips/config.cm-super %{buildroot}%{_texmf_main}/dvips/%{fontpkg}/

# step 3.1, dvipdfm
mkdir -p %{buildroot}%{_texmf_main}/dvipdfm/config
install -m 644 -p dvipdfm/*.map %{buildroot}%{_texmf_main}/dvipdfm/config

# type1ec.sty package
mkdir -p %{buildroot}%{_texmf_main}/tex/latex/%{fontpkg}
install -m 644 -p type1ec.sty %{buildroot}%{_texmf_main}/tex/latex/%{fontpkg}

# fontconfig stuff
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

for style in roman sans typewriter misc ; do
  install -m 0644 -p fontconfig/%{fontname}-${style}.conf \
          %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-${style}.conf
  ln -s %{_fontconfig_templatedir}/%{fontconf}-${style}.conf \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}-${style}.conf
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{texfontpkg}
texhash
conffile="$(texconfig-sys conf | grep updmap.cfg)"
if [ "$1" -eq "1" ]; then
   for map in t1 t2{a,b,c} ts1 x2 ; do
       updmap-sys --quiet --nohash --cnffile ${conffile} --enable Map cm-super-${map}.map
   done
fi

%postun -n %{texfontpkg}
conffile="$(texconfig-sys conf | grep updmap.cfg)"
if [ "$1" -eq "0" ]; then
   for map in t1 t2{a,b,c} ts1 x2 ; do
       updmap-sys --quiet --nohash --cnffile ${conffile} --disable Map cm-super-${map}.map
   done
fi
texhash

%files common
%defattr(0644,root,root,0755)
%dir %{_fontdir}

%files -n %{texfontpkg}
%defattr(0644,root,root,0755)
%{texfonts}/afm/%{texfontpath}
%{texfonts}/type1/%{texfontpath}
%{texfonts}/enc/dvips/%{fontpkg}
%{texfonts}/map/dvips/%{fontpkg}
%{_texmf_main}/dvips/%{fontpkg}/config.%{fontpkg}
%{_texmf_main}/dvipdfm/config/*.map
%{_texmf_main}/tex/latex/%{fontpkg}/type1ec.sty

%changelog
* Sun Nov 06 2011 Lev Shamardin <shamardin@gmail.com> - 0.3.4-3
- Added fontconfig files.
- Moved sfbs*, sfbbx* fonts from roman to sans subpackage.
- Moved isfltt* fonts from sans to typewriter subpackage.

* Sat Jun 04 2011 Lev Shamardin <shamardin@gmail.com> - 0.3.4-2
- Added type1ec.sty.
- Cosmetic scripts fix.

* Tue May 03 2011 Lev Shamardin <shamardin@gmail.com> - 0.3.4-1
- Corrected fonts version.
- Repackaged in the spirit of ctan-cm-lgc-fonts package.

* Fri Mar 11 2011 Lev Shamardin <shamardin@gmail.com> - 0.3.3-11
- Adopted package for Fedora distribution.

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.3-10mdv2009.0
+ Revision: 225674
- rebuild

* Wed Feb 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.3-9mdv2008.1
+ Revision: 162905
- rebuild because of missing i586 package
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-8mdv2008.0
+ Revision: 74248
- fix prereq-use


* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.3.3-8mdv2007.0
+ Revision: 122326
- Rebuilt.

* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.3.3-7mdv2007.1
+ Revision: 122301
- Import tetex-cmsuper

* Fri Sep 15 2006 Giuseppe Ghibò <ghibo@mandriva.com> 0.3.3-7mdv2007.0
- force exit 0 to triggers.

* Fri Sep 08 2006 Giuseppe Ghibò <ghibo@mandriva.com> 0.3.3-6mdv2007.0
- Added trigger for rebuilding the updmap when the package tetex is updated.

* Fri Feb 18 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.3.3-5mdk
- Fixed bug #13756.

* Wed Feb 16 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.3.3-4mdk
- Changed .map|.enc path for tetex-3.0.

* Sat Feb 28 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.3.3-3mdk
- Added tetex in PreReq.

